Bug 217709 - [exp-run] Update KDE Frameworks to 5.32
Summary: [exp-run] Update KDE Frameworks to 5.32
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://reviews.freebsd.org/D9959
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-11 19:03 UTC by Tobias C. Berner
Modified: 2017-03-17 06:31 UTC (History)
2 users (show)

See Also:


Attachments
update to 5.32.0 (65.19 KB, patch)
2017-03-11 19:03 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2017-03-11 19:03:26 UTC
Created attachment 180729 [details]
update to 5.32.0

kde@ would like to ask for an exp-run of the KDE Frameworks for 5.32.

The patch is attached, and can also be found here: 
http://people.freebsd.org/~tcberner/patches/kf5-5.32.0.v1
Comment 1 Antoine Brodin freebsd_committer 2017-03-14 07:15:38 UTC
Exp-run looks fine.
Comment 2 commit-hook freebsd_committer 2017-03-17 06:28:03 UTC
A commit references this bug:

Author: tcberner
Date: Fri Mar 17 06:27:40 UTC 2017
New revision: 436317
URL: https://svnweb.freebsd.org/changeset/ports/436317

Log:
  Update KDE Frameworks to 5.32

  * While here, set the MASTER_SITES for the portingAids separately.
  * Stop to couple kirigamis' distfiles with kf5 until it's actually a part of it.

  PR:		217709
  Exp-Run by:	antoine
  Reviewed by:	rakuco
  Approved by:	rakuco (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9959

Changes:
  head/Mk/Uses/kde.mk
  head/archivers/kf5-karchive/distinfo
  head/devel/kf5-extra-cmake-modules/distinfo
  head/devel/kf5-kapidox/distinfo
  head/devel/kf5-kauth/distinfo
  head/devel/kf5-kbookmarks/distinfo
  head/devel/kf5-kcmutils/distinfo
  head/devel/kf5-kconfig/distinfo
  head/devel/kf5-kconfig/pkg-plist
  head/devel/kf5-kcoreaddons/Makefile
  head/devel/kf5-kcoreaddons/distinfo
  head/devel/kf5-kcrash/distinfo
  head/devel/kf5-kdbusaddons/distinfo
  head/devel/kf5-kdeclarative/distinfo
  head/devel/kf5-kdoctools/distinfo
  head/devel/kf5-kdoctools/pkg-plist
  head/devel/kf5-kfilemetadata/distinfo
  head/devel/kf5-ki18n/distinfo
  head/devel/kf5-kidletime/distinfo
  head/devel/kf5-kio/Makefile
  head/devel/kf5-kio/distinfo
  head/devel/kf5-kio/files/
  head/devel/kf5-kio/pkg-plist
  head/devel/kf5-kitemmodels/distinfo
  head/devel/kf5-knewstuff/distinfo
  head/devel/kf5-knotifications/distinfo
  head/devel/kf5-knotifyconfig/distinfo
  head/devel/kf5-kpackage/distinfo
  head/devel/kf5-kparts/distinfo
  head/devel/kf5-kpeople/distinfo
  head/devel/kf5-kpty/distinfo
  head/devel/kf5-kservice/distinfo
  head/devel/kf5-ktexteditor/distinfo
  head/devel/kf5-kunitconversion/distinfo
  head/devel/kf5-solid/distinfo
  head/devel/kf5-threadweaver/distinfo
  head/dns/kf5-kdnssd/distinfo
  head/graphics/kf5-kimageformats/distinfo
  head/graphics/kf5-kplotting/distinfo
  head/graphics/kf5-prison/distinfo
  head/lang/kf5-kross/distinfo
  head/multimedia/kf5-kmediaplayer/distinfo
  head/net/kf5-kxmlrpcclient/distinfo
  head/security/kf5-kdesu/distinfo
  head/sysutils/kf5-baloo/distinfo
  head/sysutils/kf5-kwallet/distinfo
  head/textproc/kf5-kcodecs/distinfo
  head/textproc/kf5-sonnet/distinfo
  head/textproc/kf5-syntax-highlighting/distinfo
  head/www/kf5-kdewebkit/distinfo
  head/www/kf5-khtml/distinfo
  head/www/kf5-kjs/distinfo
  head/www/kf5-kjsembed/distinfo
  head/x11/kf5-frameworkintegration/distinfo
  head/x11/kf5-kactivities/distinfo
  head/x11/kf5-kded/distinfo
  head/x11/kf5-kdelibs4support/distinfo
  head/x11/kf5-kglobalaccel/distinfo
  head/x11/kf5-kinit/distinfo
  head/x11/kf5-krunner/distinfo
  head/x11/kf5-kwayland/distinfo
  head/x11/kf5-kwindowsystem/distinfo
  head/x11/kf5-plasma-framework/distinfo
  head/x11/kf5-plasma-framework/pkg-plist
  head/x11-themes/kf5-breeze-icons/distinfo
  head/x11-themes/kf5-breeze-icons/pkg-plist
  head/x11-themes/kf5-kemoticons/distinfo
  head/x11-themes/kf5-kiconthemes/distinfo
  head/x11-themes/kf5-oxygen-icons5/Makefile
  head/x11-themes/kf5-oxygen-icons5/distinfo
  head/x11-toolkits/kf5-attica/distinfo
  head/x11-toolkits/kf5-kcompletion/distinfo
  head/x11-toolkits/kf5-kconfigwidgets/distinfo
  head/x11-toolkits/kf5-kdesignerplugin/distinfo
  head/x11-toolkits/kf5-kguiaddons/distinfo
  head/x11-toolkits/kf5-kitemviews/distinfo
  head/x11-toolkits/kf5-kjobwidgets/distinfo
  head/x11-toolkits/kf5-ktextwidgets/distinfo
  head/x11-toolkits/kf5-kwidgetsaddons/distinfo
  head/x11-toolkits/kf5-kxmlgui/distinfo
  head/x11-toolkits/kirigami/Makefile
  head/x11-toolkits/kirigami/distinfo
  head/x11-toolkits/kirigami2/Makefile
  head/x11-toolkits/kirigami2/distinfo
Comment 3 Tobias C. Berner freebsd_committer 2017-03-17 06:31:30 UTC
Thanks for the Exp-Run.